package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 采购合同 上传变更合同的信息
 * </p>
 *
 * @author liutao
 * @since 2023-03-27
 */
@TableName("upload_purch_supplement_contract")
public class UploadPurchSupplementContract extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购合同-变更审核表Id
     */
    @TableField("purch_contract_supplement_approval_id")
    private Long purchContractSupplementApprovalId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 上传的附件
     */
    @TableField(exist = false)
    private MultipartFile file;

    /**
     * 回显的附加
     */
    @TableField(exist = false)
    private FileStorage fileStorage;

    /**
     * 合同签署人
     */
    @TableField(exist = false)
    private List<UploadPurchContractSupplementSigner> uploadPurchContractSupplementSignerList;

    @TableField(exist = false)
    private Long fileId;

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }

    public FileStorage getFileStorage() {
        return fileStorage;
    }

    public void setFileStorage(FileStorage fileStorage) {
        this.fileStorage = fileStorage;
    }

    public List<UploadPurchContractSupplementSigner> getUploadPurchContractSupplementSignerList() {
        return uploadPurchContractSupplementSignerList;
    }

    public void setUploadPurchContractSupplementSignerList(List<UploadPurchContractSupplementSigner> uploadPurchContractSupplementSignerList) {
        this.uploadPurchContractSupplementSignerList = uploadPurchContractSupplementSignerList;
    }

    public Long getPurchContractSupplementApprovalId() {
        return purchContractSupplementApprovalId;
    }

    public void setPurchContractSupplementApprovalId(Long purchContractSupplementApprovalId) {
        this.purchContractSupplementApprovalId = purchContractSupplementApprovalId;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }
}
